close all
clear
%% Sampling

I=imread('person_008.bmp');
figure,imshow(I)
J=imresize(I,0.5);

[h,w,ch]=size(I);
i=1:2:h;
j=1:2:w;
rI=I(i,j,:);
size(rI)
figure,imshow(rI);

[h,w,ch]=size(I);
i=1:10:h;
j=1:10:w;
rI=I(i,j,:);
size(rI);
figure,imshow(rI);

%% Zooming
close all
I=imread('person_005.bmp');
figure,imshow(I);
[h,w,ch]=size(I);
zoom=5;
zr=zoom*h;
zc=zoom*w;

imnew=zeros(zr,w,3);
i=1:zoom:zr;
j=1:zoom:zc;

for k=1:1:zoom
    imnew(i+(k-1),:,:)=I(:,:,:);
end
figure,imshow(uint8(imnew))
imnew2=zeros(zr,zc,3);
for k=1:1:zoom
    imnew2(:,j+(k-1),:)=imnew(:,:,:);
end

figure,imshow(uint8(imnew2))


%% Quantization
close all
clear
I=imread('person_008.bmp');
G=rgb2gray(I);
figure,imshow(G)
%I
clc
Q=round(I./255)*255;
figure,imshow(Q)
Q=round(G./255)*255;
figure,imshow(Q)
Q=round(G./127)*127;
unique(Q(:))
figure,imshow(Q)
Q=round(G./63)*63;
figure,imshow(Q)
Q=round(G./31)*31;
Q=round(G./2)*2;
Q=round(G./64)*64;
figure,imshow(Q)
Q(:,:,1)=round(I(:,:,1)./64)*64;
Q(:,:,2)=round(I(:,:,2)./64)*64;
Q(:,:,3)=round(I(:,:,3)./64)*64;
figure,imshow(Q)

